using System;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.ComponentModel;
using System.ComponentModel.Design;
using AtlasControlToolkit;
using Microsoft.Web.Script.Serialization;

#region Assembly Resource Attribute
[assembly: System.Web.UI.WebResource("Jeffz.AtlasControlToolkit.ImageGalleryBehavior.js", "text/javascript")]
#endregion

namespace Jeffz.AtlasControlToolkit
{
	[Designer(typeof(ImageGalleryDesigner))]
	[ClientScriptResource("Jeffz.AtlasControlToolkit", "ImageGalleryBehavior", "Jeffz.AtlasControlToolkit.ImageGalleryBehavior.js")]
	public class ImageGalleryExtender : ExtenderControlBase<ImageGalleryProperties, Panel>
	{
		protected override string SerializePropertyToString(ImageGalleryProperties props, PropertyDescriptor prop, bool force)
		{
			if (prop.Name == "Images")
			{
				string str = JavaScriptObjectSerializer.Serialize(props.Images);
				return str.Substring(1, str.Length - 2);
			}
			else
			{
				return base.SerializePropertyToString(props, prop, force);
			}
		}
	}
}
